## NAME

v.db.dropcol - Drops a column from the attribute table connected to a given vector map.

## KEYWORDS

vector, database, attribute table

## SYNOPSIS

v.db.dropcol
v.db.dropcol help
v.db.dropcol map=name [layer=string] column=string [--verbose] [--quiet]

### Parameters:

map=name
  Vector map for which to drop attribute column
layer=string
  Layer where to drop column
  Default: 1
column=string
  Name of the column to drop

## DESCRIPTION

v.db.dropcol drops a column from the attribute table connected to a given vector map. It automatically checks the connection for the specified layer. v.db.dropcol omits to delete the 'cat' column which is relevant to keep the connection between vector map and table.

## NOTES

v.db.dropcol is a front-end to db.execute to allow easier usage. The existing database connection(s) can be verified with v.db.connect.

## EXAMPLES

Dropping a column:

    v.db.dropcol sentiero_brenta_points column=slope
    v.info -c sentiero_brenta_points

## SEE ALSO

db.droptable, db.execute, v.db.addcol, v.db.addtable, v.db.connect, v.db.droptable, v.db.select, v.db.update

## AUTHOR

Markus Neteler

Last changed: $Date: 2013-09-22 10:26:32 +0200 (ne, 22 IX 2013) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team